Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.event
Interface KernelEvent

All Known Implementing Classes:
  AbstractEvent

public interface KernelEvent

A listener

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`Object` | `getContext()` Get the context
`long` | `getSequence()` Get the sequence
`Object` | `getSource()` Get the source of the event
`long` | `getTimestamp()` Get the timestamp
`String` | `getType()` Get the event type

Method Detail

### getSource

    public Object getSource()

  Get the source of the event

  Returns:
    the source

### getType

    public String getType()

  Get the event type

  Returns:
    the type

### getSequence

    public long getSequence()

  Get the sequence

  Returns:
    the sequence

### getTimestamp

    public long getTimestamp()

  Get the timestamp

  Returns:
    the timestamp

### getContext

    public Object getContext()

  Get the context

  Returns:
    the context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.